XFcObjectDataPacket class Reference

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XFcObjectDataPacket Class Reference

XFcObjectDataPackets purpose is to give easy interface to use data section of communication packet. More...

Inheritance diagram for XFcObjectDataPacket:

[legend]
Collaboration diagram for XFcObjectDataPacket:

[legend]
List of all members.

## Public Member Functions

| XFcObjectDataPacket (XFcObjectPacketBase *aOBase)
| Constructor.
INT32 | createMultiPacket (XFcObjectDataQueue *aDataQueue, INT32 aSeqNum, INT aStyle)
| Creates data packet.
INT32 | createOnePacket (XFcObjectDataQueue *aDataQueue, INT32 aSeqNum, INT aStyle)
| Creates packet where is only one data packet.
INT32 | createAutoPacket (XFcObjectDataQueue *aDataQueue, INT32 aSeqNum, INT aStyle)
| Creates packet where is automatically one or more packets.
INT32 | uncreatePacket (INT32 aClientId, XFcObjectDataServant *aObjectServant)
| Uncreates data packet.
const CHAR8 *const | getDataBlock () const
| Gets data block ptr.
INT32 | addDataBlock (const CHAR8 *aDataBlock, INT16 aLen)
| Adds data block.
void | setPacketType (INT aPacketType)
| Sets packet type.
INT | getPacketType () const
| Gets packet type.
virtual | ~XFcObjectDataPacket ()
| Virtual destructor.

## Private Attributes

CHAR8 * | mMemoryBlock
| Start address is packet address + header size.
XFcObjectPacketBase * | mOBase
| Holds object packet base.
INT | mPacketType
| Holds packet type.

## Detailed Description

XFcObjectDataPackets purpose is to give easy interface to use data section of communication packet.

## Constructor & Destructor Documentation

XFcObjectDataPacket::XFcObjectDataPacket | ( | XFcObjectPacketBase * | aOBase | ) |

| Constructor.

virtual XFcObjectDataPacket::~XFcObjectDataPacket | ( |  | ) | `[virtual]`

| Virtual destructor.

## Member Function Documentation

INT32 XFcObjectDataPacket::addDataBlock | ( | const CHAR8 * | aDataBlock,
|  | INT16 | aLen
| ) |

| Adds data block.

INT32 XFcObjectDataPacket::createAutoPacket | ( | XFcObjectDataQueue * | aDataQueue,
|  | INT32 | aSeqNum,
|  | INT | aStyle
| ) |

Creates packet where is automatically one or more packets.

Parameters:

  aDataQueue | object data queue.
  aSeqNum | seq number.
  aStyle | style.

INT32 XFcObjectDataPacket::createMultiPacket | ( | XFcObjectDataQueue * | aDataQueue,
|  | INT32 | aSeqNum,
|  | INT | aStyle
| ) |

Creates data packet.

Parameters:

  aDataQueue | object data queue.
  aSeqNum | seq number.
  aStyle | style.

INT32 XFcObjectDataPacket::createOnePacket | ( | XFcObjectDataQueue * | aDataQueue,
|  | INT32 | aSeqNum,
|  | INT | aStyle
| ) |

Creates packet where is only one data packet.

Parameters:

  aDataQueue | object data queue.
  aSeqNum | seq number.
  aStyle | style.

const CHAR8* const XFcObjectDataPacket::getDataBlock | ( |  | ) | const

| Gets data block ptr.

INT XFcObjectDataPacket::getPacketType | ( |  | ) | const

| Gets packet type.

void XFcObjectDataPacket::setPacketType | ( | INT | aPacketType | ) |

| Sets packet type.

INT32 XFcObjectDataPacket::uncreatePacket | ( | INT32 | aClientId,
|  | XFcObjectDataServant * | aObjectServant
| ) |

Uncreates data packet.

Parameters:

  aClientId | is identidfier about client where data comes from.
  aObjectServant | object servant.

## Member Data Documentation

CHAR8* XFcObjectDataPacket::mMemoryBlock`[private]`

| Start address is packet address + header size.

XFcObjectPacketBase* XFcObjectDataPacket::mOBase`[private]`

| Holds object packet base.

INT XFcObjectDataPacket::mPacketType`[private]`

| Holds packet type.

|  | X-Forge Documentation Confidential Copyright © 2002-2003 Fathammer |  | Documentation generated with doxygen by Dimitri van Heesch